It is recommended to install container manager [Distrobox](https://distrobox.it/) to install packages from other distributions like Void Linux. This can be necessary for application which are not compatible on Musl or are to annoying to compile on Gentoo. Installation is straight forward, simply add the correct USE flags and emerge the necessary packages:

``` title="/etc/portage/package.use/podman"
sys-libs/argp-standalone static-libs
net-firewall/iptables nftables
```

``` shell-session
sh# emerge -av argp-standalone app-containers/podman distrobox
```

Once it has finished installing create a container like a Void Linux container:

``` shell-session
sh$ distrobox create --name void -i ghcr.io/void-linux/void-glibc-full:latest -n void
```

Then you are able to enter the container like so:

``` shell-session
sh$ distrobox enter void
```

## Steam

Because Steam is propriatary it has been compiled against Glibc which means it can't run on Musl. Luckily a container can run it. Once in the container install the necessary packages:

``` shell-session
sh# xbps-install -S void-repo-{nonfree,multilib{,-nonfree}}
sh# xbps-install -S steam
sh$ distrobox-export --app steam
```

Because this is a different container the driver packages will also have to be installed like so:

``` shell-session
When using Intel:
sh# xbps-install -S linux-firmware-intel mesa mesa-dri vulkan-loader mesa-vulkan-intel intel-video-accel mesa-32bit mesa-dri-32bit mesa-vulkan-intel-32bit vulkan-loader-32bit
When using AMD:
sh# xbps-install -S linux-firmware-amd vulkan-loader mesa-vulkan-radeon amdvlk xf86-video-amdgpu mesa-vaapi mesa-vdpau mesa-dri vulkan-loader-32bit amdvlk-32bit mesa-32bit mesa-dri-32bit
Or when using Nvidia:
sh# xbps-install -S nvidia nvidia-opencl nvidia-libs-32bit

sh# ldconfig
```

Now you should be able to launch Steam through an application launcher like Fuzzel.
